#
# Copyright (C) Red Hat, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

"""add jobs tags

Revision ID: e06d36c55bfe
Revises: 406a6d793f29
Create Date: 2018-10-08 15:36:37.300164

"""

# revision identifiers, used by Alembic.
revision = 'e06d36c55bfe'
down_revision = '406a6d793f29'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql as pg


def upgrade():

    op.create_table('jobs_tags',
                    sa.Column('tag_id', pg.UUID(as_uuid=True),
                              sa.ForeignKey('tags.id', ondelete='CASCADE'),
                              nullable=False, primary_key=True),
                    sa.Column('job_id', pg.UUID(as_uuid=True),
                              sa.ForeignKey('jobs.id', ondelete='CASCADE'),
                              nullable=False, primary_key=True),
                    )


def downgrade():
    pass
